Bug 1733863 - Please prepare for CONFIG_PRINTK_CALLER kernel config option.
Summary: Please prepare for CONFIG_PRINTK_CALLER kernel config option.
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kairui Song
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 05:29 UTC by Tetsuo Handa
Modified: 2020-02-12 01:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
a draft patch (1.74 KB, patch)
2019-07-29 05:29 UTC, Tetsuo Handa
no flags Details | Diff

Description Tetsuo Handa 2019-07-29 05:29:06 UTC
Created attachment 1594144 [details]
a draft patch

Description of problem:

Linux 5.1+ kernels include CONFIG_PRINTK_CALLER kernel config option which is quite useful for me.
It will be nice if vmcore-dmesg can include caller information into vmcore-dmesg.txt file.
A draft patch is attached.



Additional info:

Although currently RHEL is not using Linux 5.1+ kernels, I appreciate
if this proposal is backported to RHEL's kexec-tools package, for
I don't use Fedora as environment for developing Linux kernels.

Comment 1 Ben Cotton 2019-08-13 17:02:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:53:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.